std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode > Class Template Reference
Regular Expressions Regular Expressions » | Base and Implementation Classes

## Public Types

typedef iterator_traits< _BiIter >::value_type | _CharT
typedef _TraitsT::char_class_type | _ClassT
typedef regex_constants::match_flag_type | _FlagT
typedef _NFA< _TraitsT > | _NFAT
typedef basic_regex< _CharT, _TraitsT > | _RegexT
typedef std::vector< sub_match< _BiIter >, _Alloc > | _ResultsVec

## Public Member Functions

| _Executor (_BiIter __begin, _BiIter __end, _ResultsVec &__results, const _RegexT &__re, _FlagT __flags)
bool | _M_match ()
bool | _M_search ()
bool | _M_search_from_first ()

## Public Attributes

_BiIter | _M_begin
_ResultsVec | _M_cur_results
_BiIter | _M_current
const _BiIter | _M_end
_FlagT | _M_flags
bool | _M_has_sol
const _NFAT & | _M_nfa
const _RegexT & | _M_re
vector< pair< _BiIter, int > > | _M_rep_count
_ResultsVec & | _M_results
_State_info< __search_mode, _ResultsVec > | _M_states

## Detailed Description

### template<typename _BiIter, typename _Alloc, typename _TraitsT, bool __dfs_mode>
class std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >

Takes a regex and an input string and does the matching.

The _Executor class has two modes: DFS mode and BFS mode, controlled by the template parameter __dfs_mode.

Definition at line 63 of file regex.h.

The documentation for this class was generated from the following files:

- regex.h
- regex_executor.h
- regex_executor.tcc